Mrepo: [Errno -1] Package does not match intended download

Discussion in 'Server Operation' started by nicnictout, Sep 17, 2010.

  1. nicnictout

    nicnictout New Member


    after hours spent on it, i became hopeless.

    I install an repository, but now, all packages updated in RPMS.updates cannot be installed.
    Each time i try, i've got the following error "[Errno -1] Package does not match intended download".

    It concerns only the updates, all others repository on the same machine are up and running, but updates for all architecture fall.

    I try:
    - erase all symlink and run mrepo -g in order to create them.
    - restart httpd services
    - clean all yum cache
    - try to download package from my browser => success
    - try to install via rpm -i path_to_mrepo => success

    i think there is a issu with the checksum or something else, but i don't see what, neither why it affects only my updates repository.

    If someone could help me, it would be great :)

  2. falko

    falko Super Moderator ISPConfig Developer

    Which distribution do you use?

    Can you post the updates repository file from the /etc/yum.repos.d/ directory?

Share This Page